/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2011, Tomasz Sowa
 * All rights reserved.
 * 
 */

#ifndef headerfile_winix_plugins_export_message
#define headerfile_winix_plugins_export_message

#include <string>



// message types
#define WINIX_PL_EXPORT_TYPE_CREATE_FILE	1
#define WINIX_PL_EXPORT_TYPE_CREATE_DIR		2



struct Message
{
	// message type
	int type;

	// original (source) url
	std::wstring url;

	// output file (directory) name
	// relative path
	std::wstring path;

};

#endif
